void usage(const char *prog) {
    printf( "Usage: %s [options] file\n"
            "  -h --help\n"
            "  -i --indent N - Indent level. [default 2]\n"
            "  -l --level - Print level diagnostics.\n",
            prog);
} // End usage
